import { Router } from 'express'
import { getOxManifests } from '../manifests.js'

const router = new Router()

router.get('/manifests', async function (req, res, next) {
  try {
    if (res.body) return
    res.body = await getOxManifests({ version: res.version })
    res.headers = { 'content-type': 'application/json' }
  } catch (err) {
    next(err)
  } finally {
    next()
  }
})

export default router
